import { __assign } from "tslib";
export var getDifferingValues = function (baseObj, compareObj) {
    if (compareObj === void 0) { compareObj = {}; }
    var differingObj = {};
    for (var _i = 0, _a = Object.entries(baseObj); _i < _a.length; _i++) {
        var key = _a[_i][0];
        if (key in compareObj && baseObj[key] !== compareObj[key]) {
            differingObj[key] = compareObj[key];
        }
    }
    return differingObj;
};
export var updateValues = function (baseObj, compareObj) {
    if (compareObj === void 0) { compareObj = {}; }
    var obj = __assign({}, baseObj);
    for (var _i = 0, _a = Object.entries(compareObj); _i < _a.length; _i++) {
        var _b = _a[_i], key = _b[0], value = _b[1];
        if (obj[key] !== value) {
            obj[key] = value;
        }
    }
    return obj;
};
